#include "guess.h"
int find_number(int MAX) {
    int st = 1, dr = 1e9;

    while(st != dr) {
        int mid = (st + dr) / 2;

        if(smaller(mid)) {
            dr = mid - 1;
        } else {
            st = mid;
        }
    }

    return st;
}

